<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DeLight_Online._Default" %>
<%@ Import Namespace="DeLight_Online" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>DeLight Online (Levn Labs)</title>
    
    <style type="text/css">
    
    table thead td
    {
        border-bottom: 1px dashed silver;
        font-weight: bold;
    
    }
    
    .row, .rowAlt
    {
        cursor: default;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
    }
    
    .row:hover, .rowAlt:hover
    {
        background-color: #efeffa;
        background-color: honeydew;
    }

    .row
    {
        
        background-color: mintcream;
    }
    
    .info, .error
    {
        display: block;
        margin: 0.4em;
        width: 18em;
        padding: 0.4em;
    }
    
    .info
    {
        background-color: lightyellow;
        border: 1px solid royalblue;
        color: royalblue;
    }

    .error
    {
        background-color: lightyellow;
        border: 1px solid red;
        color: red;
    }
    
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1 style="margin-top: 0.5em; margin-bottom: 1em; line-height: 0.6em;">DeLight Online
        <span style="margin-top: -0.3em; font-size: small; font-weight: normal;"><br /><b>Version:</b> 0.1.0 <i>alpha</i></span>
        </h1>
        

        <asp:Panel ID="StatusPanel" runat="server" Visible="false">
            <asp:Label ID="Status" runat="server"></asp:Label><br />
        </asp:Panel>
        
        <asp:Repeater ID="Repeater1" runat="server">
            <HeaderTemplate>
                <table cellpadding="0" cellspacing="0">
                    <thead>
                        <tr>
                            <td width="180">Device name</td>
                            <td width="40">&nbsp;</td>
                            <td width="40">&nbsp;</td>
                        </tr>
                    </thead>
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="row">
                    <td title="ID: <%#((DevItem)Container.DataItem).DeviceID%>&#10;Type: <%#((DevItem)Container.DataItem).Vendor%>/<%#((DevItem)Container.DataItem).Model%>"><%#((DevItem)Container.DataItem).Name%></td>
                    <td><asp:Button ID="turnOnDevice" OnCommand="device_Click" Text="On" Width="30" runat="server" CommandName="TurnOn" CommandArgument="<%#((DevItem)Container.DataItem).DeviceID%>" /></td>
                    <td><asp:Button ID="turnOffDevice" OnCommand="device_Click" Text="Off" Width="30" runat="server" CommandName="TurnOff" CommandArgument="<%#((DevItem)Container.DataItem).DeviceID%>" /></td>
                </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <tr class="rowAlt">
                    <td title="ID: <%#((DevItem)Container.DataItem).DeviceID%>&#10;Type: <%#((DevItem)Container.DataItem).Vendor%>/<%#((DevItem)Container.DataItem).Model%>"><%#((DevItem)Container.DataItem).Name%></td>
                    <td><asp:Button ID="turnOnDevice" OnCommand="device_Click" Width="30" Text="On" runat="server" CommandName="TurnOn" CommandArgument="<%#((DevItem)Container.DataItem).DeviceID%>" /></td>
                    <td><asp:Button ID="turnOffDevice" OnCommand="device_Click" Width="30" Text="Off" runat="server" CommandName="TurnOff" CommandArgument="<%#((DevItem)Container.DataItem).DeviceID%>" /></td>
                </tr>
            
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        <br />
        <br />
    
    
    <hr />
    <p class="footer">Created by Mikael Levn (<a href="http://labs.leven.se" target="_blank">Levn Labs</a>) 2008</p>
    <p class="footer"><i>Latest version can be downloaded from <a href="http://labs.leven.se/DeLight" target="_blank">http://labs.leven.se/DeLight</a></i></p>
    
    
    
    </div>
    </form>
</body>
</html>
